## play.it-rpg 2025-11

=== Makefile ===
collection_name = 45_rpg

UID := $(shell id --user)

ifeq ($(UID),0)
    prefix = /usr/local
    datadir = $(prefix)/share/games
else
    ifeq ($(XDG_DATA_HOME),)
        XDG_DATA_HOME := $(HOME)/.local/share
    endif
    prefix = $(XDG_DATA_HOME)
    datadir = $(prefix)
endif
collections_path = $(DESTDIR)$(datadir)/play.it/collections

# Install the game scripts

.PHONY: install uninstall

install:
	install -D --mode=755 --target-directory=$(collections_path)/$(collection_name) games/*

uninstall:
	rm $(collections_path)/$(collection_name)/play-*.sh
	rmdir -p --ignore-fail-on-non-empty $(collections_path)/$(collection_name)

# Generate tarballs, for easier packaging

.PHONY: dist

## The generated tarball is signed with gpg by default,
## NO_SIGN should be set to a non-0 value to skip the signature.
NO_SIGN := 0

dist: DATE := $(shell date +%F)
dist: TARBALL := $(collection_name)_$(DATE).tar.gz
dist: TAR_OPTIONS := --sort=name --mtime=2023-08-25 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
dist: games/*.sh tests/check-license.sh LICENSE Makefile README.md
	mkdir --parents dist
	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) games/*.sh tests/check-license.sh LICENSE Makefile README.md
ifeq ($(NO_SIGN),0)
	rm --force dist/$(TARBALL).asc
	gpg --armor --detach-sign dist/$(TARBALL)
endif

# Run license check, to ensure no contributor is missing

.PHONY: check check-license
check: check-license
check-license:
	./tests/check-license.sh

# Run syntax checks, relying on ShellCheck

GAME_SCRIPTS := $(wildcard games/play-*.sh)
GAME_SCRIPTS_TESTS := $(addprefix shellcheck_, $(GAME_SCRIPTS))
.PHONY: $(GAME_SCRIPTS_TESTS)
check: $(GAME_SCRIPTS_TESTS)

$(GAME_SCRIPTS_TESTS): SHELLCHECK_SOURCES := /usr/share/games/play.it:/usr/share/play.it
## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC1112
## Expressions don't expand in single quotes, use double quotes for that.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2016
## foo appears unused. Verify it or export it.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2034
## Don't use variables in the printf format string. Use printf '..%s..' "$foo".
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC2059
## In POSIX sh, 'local' is undefined.
$(GAME_SCRIPTS_TESTS): SHELLCHECK_EXCLUDE += --exclude=SC3043
$(GAME_SCRIPTS_TESTS): shellcheck_%: %
	shellcheck --extended-analysis=false --external-sources --source-path=$(SHELLCHECK_SOURCES) $(SHELLCHECK_EXCLUDE) $<

## play.it-rpg 2025-06-22

=== debian/changelog ===
play.it-rpg (2025-06-22-1) unstable; urgency=medium

  * Initial release. (Closes: #1106085)

 -- Antoine Le Gonidec <debian@vv221.fr>  Sun, 22 Jun 2025 14:52:36 +0200

=== debian/control ===
Source: play.it-rpg
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <debian@vv221.fr>,
Build-Depends:
 debhelper-compat (= 13),
 play.it <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://git.dotslashplay.it/games-rpg/about/
Vcs-Git: https://salsa.debian.org/games-team/play.it-rpg.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it-rpg
Rules-Requires-Root: no

Package: play.it-rpg
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Suggests:
 games-rpg,
Description: ./play.it collection - Strategy games
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This specific collection includes only role-playing games. These games revolve
 around character development. Common features include world exploration,
 tactical or action-based battles, and a deep story. Both turn-based and
 real-time games are included.

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/games-collections/rpg/ \
  (?:.*/)45_rpg_@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/games-collections/rpg/ \
  (?:.*/)45_rpg_@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it-rpg 2025-11-25

=== debian/changelog ===
play.it-rpg (2025-11-25-2) unstable; urgency=medium

  * Add an explicit copyright notice for Debian packaging files.
  * Update URL to canonical packaging repository.

 -- Antoine Le Gonidec <vv221@debian.org>  Thu, 29 Jan 2026 22:39:18 +0100

play.it-rpg (2025-11-25-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop obsolete field Rules-Requires-Root.
  * Fix upstream contact e-mail.
  * Fix package short description.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 25 Nov 2025 20:52:01 +0100

play.it-rpg (2025-06-22-2) unstable; urgency=medium

  * Drop obsolete field Priority.
  * Update Uploader e-mail.
  * Update debian/watch to version 5.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 23 Nov 2025 23:38:25 +0100

=== debian/control ===
Source: play.it-rpg
Section: contrib/games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Antoine Le Gonidec <vv221@debian.org>,
Standards-Version: 4.7.2
Homepage: https://git.dotslashplay.it/games-rpg/about/
Vcs-Browser: https://git.vv221.fr/debian/play.it-rpg/
Vcs-Git: https://git.vv221.fr/debian/play.it-rpg.git
Build-Depends:
 debhelper-compat (= 13),
 play.it <!nocheck>,
 shellcheck <!nocheck>,

Package: play.it-rpg
Architecture: all
Depends:
 play.it (>= 2.25.4-1),
 ${misc:Depends},
Suggests:
 games-rpg,
Description: ./play.it collection - Role-playing games
 play.it is a free software building native packages from installers for
 Windows or Linux, mainly those sold by stores focusing on DRM-free games
 distribution. The goal is that a game installed via ./play.it is
 indistinguishable from a game installed via the official repositories of your
 favourite distribution.
 .
 This specific collection includes only role-playing games. These games revolve
 around character development. Common features include world exploration,
 tactical or action-based battles, and a deep story. Both turn-based and
 real-time games are included.

=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/games-collections/rpg/
Matching-Pattern: 45_rpg_@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%
